StreamExtend (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.stream

## Class StreamExtend<I>

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.stream.StreamExtend<I>

- All Implemented Interfaces:
    Iterator<I>, org.gcube.data.streams.Stream<I>

      public class StreamExtend<I>
      extends Object
      implements org.gcube.data.streams.Stream<I>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamExtend(Iterator<I> iterator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `hasNext()`
    `boolean` | `isClosed()`
    `URI` | `locator()`
    `I` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamExtend

          public StreamExtend(Iterator<I> iterator)

  - ### Method Detail

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<I>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.gcube.data.streams.Stream<I>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<I>`
      Specified by:
        `hasNext` in interface `org.gcube.data.streams.Stream<I>`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in interface `org.gcube.data.streams.Stream<I>`

    - #### locator

          public URI locator()

      Specified by:
        `locator` in interface `org.gcube.data.streams.Stream<I>`

    - #### next

          public I next()

      Specified by:
        `next` in interface `Iterator<I>`
      Specified by:
        `next` in interface `org.gcube.data.streams.Stream<I>`

Copyright © 2013. All Rights Reserved.